tvbrowser.core.plugin.programformating

## Class GlobalPluginProgramFormatingManager

- java.lang.Object
- - tvbrowser.core.plugin.programformating.GlobalPluginProgramFormatingManager

-     public class GlobalPluginProgramFormatingManager
      extends java.lang.Object

  Handles the global program configurations.
  Since:
    2.5.1
  Author:
    René Mach

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GlobalPluginProgramFormating[]` | `getAvailableGlobalPluginProgramFormatings()` Gets the available program configurations.
    `protected GlobalPluginProgramFormating` | `getConfigurationForId(java.lang.String id)`
    `static GlobalPluginProgramFormating` | `getDefaultConfiguration()` Gets the default configuration.
    `GlobalPluginProgramFormating` | `getFormatingInstanceForInstance(GlobalPluginProgramFormating formating)` Gets the instance of the given formating.
    `static GlobalPluginProgramFormatingManager` | `getInstance()` Gets the instance of this class.
    `static GlobalPluginProgramFormating` | `getTvPearlFormating()` Gets the TV pearl formating.
    `void` | `setAvailableProgramConfigurations(GlobalPluginProgramFormating[] configs)` Sets the available program configurations.
    `void` | `store()` Saves the current available program configurations.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static GlobalPluginProgramFormatingManager getInstance()

      Gets the instance of this class.
      Returns:
        The instance of this class.

    - #### getAvailableGlobalPluginProgramFormatings

          public GlobalPluginProgramFormating[] getAvailableGlobalPluginProgramFormatings()

      Gets the available program configurations.
      Returns:
        The available program configurations.

    - #### setAvailableProgramConfigurations

          public void setAvailableProgramConfigurations(GlobalPluginProgramFormating[] configs)

      Sets the available program configurations.
      Parameters:
        `configs` - The new program configurations array.

    - #### store

          public void store()

      Saves the current available program configurations.

    - #### getDefaultConfiguration

          public static GlobalPluginProgramFormating getDefaultConfiguration()

      Gets the default configuration.
      Returns:
        The default configuration.

    - #### getTvPearlFormating

          public static GlobalPluginProgramFormating getTvPearlFormating()

      Gets the TV pearl formating.
      Returns:
        The TV pearl formating.
      Since:
        2.6

    - #### getConfigurationForId

          protected GlobalPluginProgramFormating getConfigurationForId(java.lang.String id)

    - #### getFormatingInstanceForInstance

          public GlobalPluginProgramFormating getFormatingInstanceForInstance(GlobalPluginProgramFormating formating)

      Gets the instance of the given formating.
      Parameters:
        `formating` - The formating to get the instance for.
      Returns:
        The instance of the given formating.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)